# xarray.plot.FacetGrid.map_dataarray

`FacetGrid.``map_dataarray`(func, x, y, **kwargs)

  Apply a plotting function to a 2d facet’s subset of the data.

  This is more convenient and less general than `FacetGrid.map`

  Parameters:

  - func (callable) – A plotting function with the same signature as a 2d xarray plotting method such as xarray.plot.imshow
  - y (x,) – Names of the coordinates to plot on x, y axes
  - kwargs – additional keyword arguments to func

  Returns: | self
  Return type: | FacetGrid object